dm-exception-store.c: Fix error cleanup in dm_create_persistent().
This was originally found by chrisw during code review.

From: Dave Olien <dmo@osdl.org>

--- diff/drivers/md/dm-exception-store.c	2004-06-11 19:22:02.000000000 +0100
+++ source/drivers/md/dm-exception-store.c	2004-06-11 19:27:06.000000000 +0100
@@ -569,8 +569,8 @@
       bad:
 	dm_io_put(sectors_to_pages(chunk_size));
 	if (ps) {
-		if (ps->callbacks)
-			vfree(ps->callbacks);
+		if (ps->area)
+			free_area(ps);
 
 		kfree(ps);
 	}
